cephClusterSpec:
  resources:
    mgr:
      limits:
        cpu: null
        memory: 1Gi
      requests:
        cpu: 50m
        memory: 512Mi
    mon:
      limits:
        cpu: null
        memory: 512Mi
      requests:
        cpu: 50m
        memory: 512Mi
    osd:
      limits:
        cpu: null
        memory: 2Gi
      requests:
        cpu: 500m
        memory: 2Gi
  # cluster level storage configuration and selection
  storage:
    config:
      encryptedDevice: "true"
      metadataDevice: nvme1n1
    nodes:
    - name: node-kirk
      devices:
      - name: sda
    - name: node-spock
      devices:
      - name: sda
    - name: node-mccoy
      devices:
      - name: sda

cephBlockPools:
- name: ceph-rbd
  spec:
    failureDomain: host
    replicated:
      size: 3
  storageClass:
    enabled: true
    name: ceph-block
    isDefault: false
    reclaimPolicy: Delete
    allowVolumeExpansion: true
    parameters:
      pool: ceph-rbd
      csi.storage.k8s.io/provisioner-secret-name: rook-csi-rbd-provisioner
      csi.storage.k8s.io/provisioner-secret-namespace: efk-storage-rook
      csi.storage.k8s.io/controller-expand-secret-name: rook-csi-rbd-provisioner
      csi.storage.k8s.io/controller-expand-secret-namespace: efk-storage-rook
      csi.storage.k8s.io/node-stage-secret-name: rook-csi-rbd-node
      csi.storage.k8s.io/node-stage-secret-namespace: efk-storage-rook
      csi.storage.k8s.io/fstype: ext4

cephFileSystems:
- name: ceph-fs
  spec:
    metadataPool:
      replicated:
        size: 3
    dataPools:
    - failureDomain: host
      replicated:
        size: 3
      name: data0
    metadataServer:
      activeCount: 1
      activeStandby: true
      resources:
        limits:
          cpu: null
          memory: 2Gi
        requests:
          cpu: 500m
          memory: 512Mi
      priorityClassName: system-cluster-critical
  storageClass:
    enabled: true
    isDefault: false
    name: ceph-file
    pool: data0
    reclaimPolicy: Delete
    allowVolumeExpansion: true
    parameters:
      csi.storage.k8s.io/provisioner-secret-name: rook-csi-cephfs-provisioner
      csi.storage.k8s.io/provisioner-secret-namespace: efk-storage-rook
      csi.storage.k8s.io/controller-expand-secret-name: rook-csi-cephfs-provisioner
      csi.storage.k8s.io/controller-expand-secret-namespace: efk-storage-rook
      csi.storage.k8s.io/node-stage-secret-name: rook-csi-cephfs-node
      csi.storage.k8s.io/node-stage-secret-namespace: efk-storage-rook
      csi.storage.k8s.io/fstype: ext4

cephObjectStores: []
